/* 
DEVELOPED BY: WALLACE FROTA - PL FULLSTACK
DATE: 28/07/2022
*/

@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@400;500;600;700&display=swap');

:root {
    --bg-color: #f8fafd;
    --orange: #FF6200;
    --gray-medium: #EBEFF3;
    --gray-dark: #A6B0C3;
    --white: #ffffff;
    --purple-light: #eceff3;
    --purple-dark: #d0d9f4;
    --bg-input: #F0F1F3;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    background-color: var(--bg-color);
    font-family: 'Nunito', sans-serif;
}

::-webkit-scrollbar {
    height: 4px;
}

/* background scrollbar */
::-webkit-scrollbar-track {
    box-shadow: inset 0 0 1px var(--orange);
    border-radius: 2px;
}

/* scrollbar */
::-webkit-scrollbar-thumb {
    background: var(--orange);
    border-radius: 2px;
}

/* carregamento de dados */
.loading {
    display: flex;
    background-color: var(--gray-medium);
    border-radius: 4px;
    -webkit-mask: linear-gradient(-60deg, #000 30%, #0005, #000 70%) right/300% 100%;
    animation: shimmer 1.5s infinite;
}

.loading.circle {
    flex: 1;
    height: 74px !important;
}

.loading.portrait {
    flex: 1;
    height: 180px !important;
}

.loading.rectangle {
    width: 100% !important;
    margin-bottom: 10px;
    height: 100px !important;
}

@keyframes shimmer {
    to {
        -webkit-mask-position: left;
    }
}

/* erros */
.error {
    width: 100% !important;
    height: 100px !important;
    background-color: var(--gray-medium);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 4px;
}

.error p {
    font-size: 12px;
    color: #9c9c9c;
}

.error.error-category,
.error.error-portrait,
.error.error-rectangle {
    display: none;
}

/* card copias */
.each-category.category-copy {
    display: none;
}

.card-portrait.card-portrait-copy {
    display: none;
}

.card-rectangle.card-rectangle-copy {
    display: none;
}

.title-section {
    font-size: 12px;
    font-weight: 600;
    margin-bottom: 16px;
}

.title-section span {
    font-weight: bold;
}

.container-header,
.container-search {
    max-height: 96px;
    width: min(90%, 600px);
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: auto;
    padding: 25px 0px;
}

.container-header img {
    width: 90px;
    height: 65px;
    object-fit: contain;
}

.container-header button,
.container-search button {
    width: 44px;
    height: 44px;
    background-color: transparent;
    border: none;
    cursor: pointer;
}

.container-header button img,
.container-search button img {
    width: 100%;
    height: 100%;
}

.container-search input {
    width: 85%;
    padding-right: 10px;
    height: 40px;
    background-color: var(--bg-input);
    padding-left: 10px;
    font-size: 12px;
    border: none;
    border-radius: 6px;
    outline: none;
}

.container-search input:focus {
    border: 1px solid var(--orange);
}

/* controle de visibilidade na dom */
.container-header.disabled {
    display: none;
}

.container-search.disabled {
    display: none;
}


.container-categories {
    width: min(90%, 600px);
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    margin: auto;
    padding: 0px 0px 15px 0px;
}

.container-categories-horizontal {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 10px;
    overflow-x: auto;
    padding-bottom: 10px;
}

.each-category {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 56px;
    height: 74px;
}

.each-category button {
    width: 56px;
    height: 56px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid var(--gray-medium);
    background-color: var(--white);
    border-radius: 50%;
    cursor: pointer;
}

.each-category button img {
    background-color: var(--gray-medium);
    width: 50px;
    height: 50px;
    object-fit: contain;
    border-radius: 50%;
}

.each-category p {
    font-size: 8px;
    font-weight: 400;
    margin-top: auto;
}


.container-favorites {
    width: min(90%, 600px);
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    margin: auto;
    padding: 0px 0px 15px 0px;
}

.container-favorites-horizontal {
    width: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 12px;
    overflow-x: auto;
    padding-bottom: 10px;
}

.container-favorites-horizontal .card-portrait {
    width: 180px;
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    background-color: var(--white);
    border-radius: 4px;
    border: 1px solid var(--gray-medium);
    padding: 10px;
}

.card-portrait .card-portrait-header {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.card-portrait-header img {
    width: 130px;
    height: 100px;
    object-fit: contain;
}

.card-portrait .card-portrait-info {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.card-portrait-info .title-product {
    font-size: 10px;
    font-weight: 400;
    border-bottom: 1px solid var(--gray-medium);
    padding-bottom: 15px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

.card-portrait-info .price-product {
    margin-top: 10px;
}

.price-product span {
    color: var(--orange);
}


.container-top-week {
    width: min(90%, 600px);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    margin: auto;
    padding: 0px 0px 15px 0px;
}

.container-top-week .card-rectangle {
    width: 100%;
    border-radius: 4px;
    background-color: var(--white);
    display: flex;
    margin-bottom: 14px;
    padding: 6px;
}

.card-rectangle .image-product {
    width: 40%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 4px;
}

.image-product img {
    width: 100%;
    height: 80px;
    border-radius: 8px;
    object-fit: contain;
}

.card-rectangle .product-info {
    width: 60%;
    padding: 10px 6px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    background-color: var(--bg-color);
    border-radius: 4px;
}

.product-info .title-product {
    font-size: 12px;
    font-weight: 500;
    padding-bottom: 10px;
}

.product-info .product-description {
    font-size: 8px;
    font-weight: lighter;
    padding-bottom: 10px;
    color: #9c9c9c;
}

.product-info .price-product {
    font-size: 14px;
    font-weight: 600;
}

.price-product span {
    color: var(--orange);
}

footer {
    width: 100%;
    display: flex;
    margin-top: auto;
    flex-direction: column;
    background-color: var(--gray-dark);
    border-bottom: 1px solid var(--purple-light);
}

.container-footer {
    width: min(90%, 600px);
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: auto;
    gap: 15px;
    padding: 40px 0px;
}

.container-footer .logo-container {
    width: 100%;
    display: flex;
    flex: 1;
    justify-content: flex-start;
    align-items: center;
}

.logo-container img {
    width: 100px;
    height: 80px;
    object-fit: contain;
}

.container-footer .social-icons {
    width: 100%;
    display: flex;
    flex-direction: column;
    flex: 1;
    justify-content: center;
    align-items: flex-end;
}

.container-sac {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-end;
    margin-bottom: 10px;
}

.container-sac h4 {
    padding-bottom: 6px;
}

.container-sac a {
    text-decoration: none;
    color: var(--white);
    font-size: 14px;
}

.social-icons .social a {
    font-size: 36px;
    text-decoration: none;
    color: var(--white);
}

.social-icons .social a:nth-child(2) {
    padding-left: 12px;
}

.container-copyright {
    width: 100%;
    background-color: var(--orange);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 16px 0px;
    margin: auto;
}

.container-copyright p {
    font-size: 12px;
    padding-bottom: 10px;
    color: var(--white);
}

/* página de busca */
.container-search-page {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    height: 100vh;
}

.container-search-page .header {
    width: min(90%, 600px);
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 30px 0;
    margin: 0px auto;
}

.header button {
    width: 44px;
    height: 44px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #E7EAF1;
    border: 1px solid #d0d9f4;
    border-radius: 50%;
}

.header button img {
    width: 12px;
    height: 20px;
}

.main {
    width: min(90%, 600px);
    margin: auto;
    background-color: var(--white);
    padding: 2px;
    border-radius: 2px;
}

.main .container-top-week {
    width: 100% !important;
}

.card-rectangle.card-rectangle-search {
    background-color: var(--bg-color);
    border: 1px solid var(--bg-input);
}

/* botão navegar para o header */
.to-up {
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    background-color: var(--gray-dark);
    border: 1px solid var(--orange);
    position: fixed;
    bottom: 30px;
    right: 20px;
}
.to-up i {
    color: var(--white);
    font-size: 18px;
    font-weight: 700;
}
/* desabilita visualização em telas maiores */
@media only screen and (min-width: 601px) {
    html, body {
        display: none;
    }
}